OpenVDB 5.1.0

Static Public Member Functions | List of all members
QuantizedUnitVec Class Reference

Unit vector occupying only 16 bits. More...

`#include <QuantizedUnitVec.h>`

## Static Public Member Functions
template<typename T >
static uint16_t | pack (const Vec3< T > &vec)
static Vec3s | unpack (const uint16_t data)
static void | flipSignBits (uint16_t &)

## Detailed Description

Unit vector occupying only 16 bits.

Stores two quantized components. Based on the "Higher Accuracy Quantized Normals" article from GameDev.Net LLC, 2000

## Member Function Documentation

## ◆ flipSignBits()

void flipSignBits | ( | uint16_t & | v | ) |
| inline static

## ◆ pack()

uint16_t pack | ( | const Vec3< T > & | vec | ) |
| inline static

## ◆ unpack()

Vec3s unpack | ( | const uint16_t | data | ) |
| inline static

The documentation for this class was generated from the following file:

- QuantizedUnitVec.h